Bug 1878859 - Python Upstream Architecture Names
Summary: Python Upstream Architecture Names
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Python Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2020-09-14 17:40 UTC by Ben Cotton
Modified: 2021-04-27 14:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-27 14:31:03 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-09-14 17:40:38 UTC
This is a tracking bug for Change: Python Upstream Architecture Names
For more details, see: https://fedoraproject.org/wiki/Changes/Python_Upstream_Architecture_Names

Use CPython upstream architecture naming in Fedora's Python ecosystem (mostly in filenames) instead of the previously patched Fedora names.
For example, have /usr/lib64/python3.9/lib-dynload/array.cpython-39-powerpc64le-linux-gnu.so instead of /usr/lib64/python3.9/lib-dynload/array.cpython-39-ppc64le-linux-gnu.so.
This makes packaging of Python itself a tad trickier, but it moves Fedora's Python closer to upstream and solves interoperability problems with ppc64le manylinux wheels.
The change has impact only on ppc64le and armv7hl (considering the architectures built by koji.fedoraproject.org).
Packages assuming the filenames always contain %{_arch}-linux%{_gnu} will need to be adapted.

Comment 3 Miro Hrončok 2020-10-05 12:56:17 UTC
(In reply to Miro Hrončok from comment #2)
> Macros should now be available in Fedora 31, 32, 33, 34 (rawhide), EPEL 7
> and 8.

Correction: the EPEL macros were only committed to git. I'm building them now.

Comment 4 Fedora Update System 2020-10-05 13:02:53 UTC
FEDORA-EPEL-2020-764b95b661 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-764b95b661

Comment 5 Fedora Update System 2020-10-05 18:17:38 UTC
FEDORA-EPEL-2020-238e53386e has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-238e53386e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-05 18:21:55 UTC
FEDORA-EPEL-2020-764b95b661 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-764b95b661

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Miro Hrončok 2020-10-06 19:39:20 UTC
Other Pythons merged and built in rawhide as well.

Comment 8 Fedora Update System 2020-10-13 21:02:07 UTC
FEDORA-EPEL-2020-def7ba7aae has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-def7ba7aae

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-20 19:23:21 UTC
FEDORA-EPEL-2020-764b95b661 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-10-28 02:33:49 UTC
FEDORA-EPEL-2020-def7ba7aae has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Ben Cotton 2021-04-27 14:31:03 UTC
Closing Changes Tracking bugs for the Fedora Linux 34 release. If your change did not make it into the release, please reopen and needinfo bcotton.


Note You need to log in before you can comment on or make changes to this bug.